Page MenuHomePhabricator

elm_fileselector_entry: resolve missing interface api by composition
ClosedPublic

Authored by bu5hm4n on Jan 24 2019, 2:44 AM.

Details

Summary

this patch will redirect every elm_interface_fileselector call to the
added fileselector button. This resolves the missing fileselector API on
the fileselector entry.

ref T5719

Depends on D7753

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 24 2019, 2:44 AM
bu5hm4n requested review of this revision.Jan 24 2019, 2:44 AM
bu5hm4n updated this revision to Diff 18871.Jan 25 2019, 6:53 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase.

cedric accepted this revision.Jan 25 2019, 11:08 AM
This revision is now accepted and ready to land.Jan 25 2019, 11:08 AM
Closed by commit rEFLc440ee442d98: elm_fileselector_entry: resolve missing interface api by composition (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 26 2019, 2:45 AM
This revision was automatically updated to reflect the committed changes.